### Method

# GtkSource GutterLines get_line_extent

since: 5.18

#### Declaration [src]

    void
    gtk_source_gutter_lines_get_line_extent (
      GtkSourceGutterLines* lines,
      guint line,
      GtkSourceGutterRendererAlignmentMode mode,
      double* y,
      double* height
    )

#### Description [src]

Gets the Y range for a line based on `mode`.

The value for `y` is relative to the renderers widget coordinates.

Available since: 5.18

#### Parameters

`line`

  Type: `guint`

  A line number starting from zero.

`mode`

  Type: `GtkSourceGutterRendererAlignmentMode`

  A `GtkSourceGutterRendererAlignmentMode`.

`y`

  Type: `double*`

  A location for the Y position in widget coordinates.

  The argument will be set by the function.

`height`

  Type: `double*`

  The line height based on `mode`.

  The argument will be set by the function.